# NLU / NLP Methods

These are the methods that actually perform analysis and transformation of input text.

 - [POST /parse](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/parse.md): The method analyzes the input and detects problematic content, sentiment snippets, entities, topics, phrase structure, parts of speech, stopwords, and more.
 - [GET /languages](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/languages.md): Retrieve a list of supported languages. The response includes the following attributes: * `id` - Language ID. * `name` - Native name. * `englishName` - English name. * `nativeEncoding` - Encoding of t
 - [POST /helper/extract_text](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/extract_text.md): A service method to remove JavaScript, CSS tags, JSON, and other markup, returning pure decoded text. The request body includes the markup content from which text will be extracted. **Note: This metho
 - [POST /compare/entities](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/compareentities.md): Compares two compound named entities and identifies differences. The request body should include: * `language1` (string) - IETF tag for the first entity's language. * `entity1` (string) - The first en
 - [POST /similarity](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/similarity.md): Calculate the semantic similarity between two text fragments, either in the same language or in different languages. The request body should contain: * `content1` (string) - The first text fragment. *
 - [POST /detectLanguage](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/detectlanguage.md): Detects the languages used in the provided text fragment and returns the breakdown by offsets. The request body should include: * `content` (string) - the text fragment to analyze. * `languages` (stri
 - [POST /transform](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/transform.md): This method translates the input text. The request body should include the following elements: * `from` (string) - A standard IETF tag for the source language. Use `*` or a vertical bar-delimited set
